GNU bug report logs - #38766
bug: "gzip -l" truncates reported decompressed size to 32 bits

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: gzip; Reported by: Jason Mancini <jayrusman@HIDDEN>; merged with #17804, #29089, #30935, #30936, #42965, #48424, #52227; dated Fri, 27 Dec 2019 23:19:01 UTC; Maintainer for gzip is bug-gzip@HIDDEN.
Merged 17804 29089 30935 30936 38766 42965 48424 52227. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38766 <at> debbugs.gnu.org:


Received: (at 38766) by debbugs.gnu.org; 28 Dec 2019 16:36:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 28 11:36:32 2019
Received: from localhost ([127.0.0.1]:58820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ilF4p-0004dk-QP
	for submit <at> debbugs.gnu.org; Sat, 28 Dec 2019 11:36:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35505)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <antonio@HIDDEN>) id 1ilF4o-0004dY-9I
 for 38766 <at> debbugs.gnu.org; Sat, 28 Dec 2019 11:36:30 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35399)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <antonio@HIDDEN>)
 id 1ilF4i-0007d8-SS; Sat, 28 Dec 2019 11:36:24 -0500
Received: from 147.red-176-84-57.dynamicip.rima-tde.net ([176.84.57.147]:33044
 helo=[192.168.1.2]) by fencepost.gnu.org with esmtpa (Exim 4.82)
 (envelope-from <antonio@HIDDEN>)
 id 1ilF4h-0005XV-UK; Sat, 28 Dec 2019 11:36:24 -0500
Message-ID: <5E07849C.3030508@HIDDEN>
Date: Sat, 28 Dec 2019 17:36:44 +0100
From: Antonio Diaz Diaz <antonio@HIDDEN>
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US;
 rv:1.9.1.19) Gecko/20110420 SeaMonkey/2.0.14
MIME-Version: 1.0
To: Jason Mancini <jayrusman@HIDDEN>
Subject: Re: bug#38766: bug: "gzip -l" truncates reported decompressed size
 to 32 bits
References: <DM6PR06MB4714407999ECDBE02ED35560AB2A0@HIDDEN>
In-Reply-To: <DM6PR06MB4714407999ECDBE02ED35560AB2A0@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38766
Cc: 38766 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jason Mancini wrote:
> # zcat backup.bin.gz | wc -c
> 67,645,849,600
> # gzip -l backup.bin.gz
> compressed        uncompressed  ratio uncompressed_name
> 9,458,450,396    3,221,340,160 -193.6% backup.bin

This is a known limitation of the gzip format, and is documented in the m=
anual:

http://www.gnu.org/software/gzip/manual/gzip.html#Invoking-gzip

"The gzip format represents the input size modulo 2^32, so the uncompress=
ed=20
size and compression ratio are listed incorrectly for uncompressed files =
4=20
GiB and larger. To work around this problem, you can use the following=20
command to discover a large uncompressed file=E2=80=99s true size:
zcat file.gz | wc -c"


Best regards,
Antonio.





Information forwarded to bug-gzip@HIDDEN:
bug#38766; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Dec 2019 23:18:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 27 18:18:31 2019
Received: from localhost ([127.0.0.1]:57861 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ikysI-0007Hr-Do
	for submit <at> debbugs.gnu.org; Fri, 27 Dec 2019 18:18:31 -0500
Received: from lists.gnu.org ([209.51.188.17]:56300)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jayrusman@HIDDEN>) id 1ikwKV-0003YQ-QM
 for submit <at> debbugs.gnu.org; Fri, 27 Dec 2019 15:35:28 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:48806)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jayrusman@HIDDEN>) id 1ikwKU-0008T5-AF
 for bug-gzip@HIDDEN; Fri, 27 Dec 2019 15:35:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.3 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE, RECEIVED_FROM_WINDOWS_HOST autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jayrusman@HIDDEN>) id 1ikwKP-0005bt-An
 for bug-gzip@HIDDEN; Fri, 27 Dec 2019 15:35:25 -0500
Received: from mail-oln040092010090.outbound.protection.outlook.com
 ([40.92.10.90]:58862 helo=NAM04-CO1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jayrusman@HIDDEN>)
 id 1ikwKN-0005Ti-7h
 for bug-gzip@HIDDEN; Fri, 27 Dec 2019 15:35:20 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=bD4UjjXy6sNIErSriuFN6ykjlItSB6zDEO+hvUZKDCJ179PsrC7e8QMBp6KYoZi3Co78x9sdFf5KnizjhfTl5C9+jWrQpM9IyE+1jcQ+g/DVztactCeUiZ5DvFbyouG/urghb0bCWcXNFedmGcA6ZIY8jCWDiukbtFNEltIhh2ZATT5owuFNvsRgJMcTzzKAQc9D5G/mu+TTsPED7XrF5jkOQwAmX/ZalpJtzeXPINHDGFyqwRCEosXcmelIQ2CXBYBdDOg5IN4Nugi+ScMtsq00IrTpdEH18a5Pv/CuKCwmYJWus2HBg/k6FXM0QewL5OrEbcXupoBPTGm6gvcIeg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=qSTbmJolz+N+P3QCeLnUbmzBdB2119WBaXtMnBDuuuA=;
 b=ViaTGsYaIDRT41mYnRSVGSoXqEoOhbNutgZqdRvI7A/4fedhiPLGdORQb/CrDVjSqz5MjSiAtqtK/lB466N2RhRK+tQfs/G6nrbE+E6XsuNw7ipgmdA2uQWjO9HqJ/zc9mPIYzb9M67ygwuZHps5ov0Ku52UcMcFqPVNbXd0XXWVp38fe212/n3ul8Rt3P9qNAFGrhPWdlN6trOqX/sqmKcuU4szNrg+BjUx1EyUAFEdd+N9fyMV54hOkWP7ACHQ45/9N0d+BNHKz9CawRo9Ecr0wLLJ/6JqLtm9kv6OwfURnyl2gHVWdshVUlz08yPx+n2gwJnqNlsenMUggpNg6w==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=qSTbmJolz+N+P3QCeLnUbmzBdB2119WBaXtMnBDuuuA=;
 b=AOOtPtN8g3HEpwqyjRe+tVEt0Qz4D8SSUgdZuQRcU3EV6SAIvAn6pt4BJ9IOS0NgDx2spYq/U93G3cnr/t2md2uCF3xLE5PjtbDbRN22vZeOBa5rPZq6uez0+K/5S9/F4v+9kGDPFhaDWQVUIL65+ptj4Pnz5kBnT9bWaNWQnMBUuzKYS1O+Sk6SFmYZ1PBks6bcNWhvEXM5bh16fzAJ3MuBH3msJwrHGoXXnOi8okQbUWMG2okybuoIy4lva+lZTjwzx0ThUX+KHgfxzrz/16rcEb/36NRWbBJFXNgokR9/BodlNqBH+nk2JXSTfL83GsPIf2SvtZG6AqCZT6/5ew==
Received: from BN3NAM04FT003.eop-NAM04.prod.protection.outlook.com
 (10.152.92.55) by BN3NAM04HT188.eop-NAM04.prod.protection.outlook.com
 (10.152.93.73) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.2581.11; Fri, 27 Dec
 2019 20:35:13 +0000
Received: from DM6PR06MB4714.namprd06.prod.outlook.com (10.152.92.53) by
 BN3NAM04FT003.mail.protection.outlook.com (10.152.92.112) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2581.11 via Frontend Transport; Fri, 27 Dec 2019 20:35:13 +0000
Received: from DM6PR06MB4714.namprd06.prod.outlook.com
 ([fe80::dd77:f2c0:4392:82d0]) by DM6PR06MB4714.namprd06.prod.outlook.com
 ([fe80::dd77:f2c0:4392:82d0%6]) with mapi id 15.20.2581.007; Fri, 27 Dec 2019
 20:35:13 +0000
From: Jason Mancini <jayrusman@HIDDEN>
To: "bug-gzip@HIDDEN" <bug-gzip@HIDDEN>
Subject: bug: "gzip -l" truncates reported decompressed size to 32 bits
Thread-Topic: bug: "gzip -l" truncates reported decompressed size to 32 bits
Thread-Index: AQHVvPSAeU2Ptsg+XkKo6vYC03yYiw==
Date: Fri, 27 Dec 2019 20:35:13 +0000
Message-ID: <DM6PR06MB4714407999ECDBE02ED35560AB2A0@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-incomingtopheadermarker: OriginalChecksum:719A320D3EC4322609CC27E2A0A4DD190130F915DDEFFC101134659982301750;
 UpperCasedChecksum:776D00C628A77BC387D1D6AB3FE288E2718ADB6F430612D8E811A0562CF86ECF;
 SizeAsReceived:6751; Count:42
x-tmn: [7zgacPfb6WNgC1dFrkTLcmr6hgubF34g]
x-ms-publictraffictype: Email
x-incomingheadercount: 42
x-eopattributedmessage: 0
x-ms-office365-filtering-correlation-id: 799678d4-3c86-41cf-01c2-08d78b0c465f
x-ms-traffictypediagnostic: BN3NAM04HT188:
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: BJkVQQj4KGNcWpeiZAkYKgGSQGGcL4IYvVB5IKdv0Kmi9I5JftS9LGQyGfzqutTRRtI2T9W+I7P8AEvi6Pks80V5Esgzgi+b6dr2473ASUSpBTaqz3/zbwLxWS3sYR0lOl7gk1PKsxvB7Z0M8PlR/wAoPIKpH6w+kxaB4p7bpQ538M21cfR/yDDdTmSQY9W1
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: hotmail.com
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-Network-Message-Id: 799678d4-3c86-41cf-01c2-08d78b0c465f
X-MS-Exchange-CrossTenant-rms-persistedconsumerorg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-CrossTenant-originalarrivaltime: 27 Dec 2019 20:35:13.1565 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Internet
X-MS-Exchange-CrossTenant-id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN3NAM04HT188
X-detected-operating-system: by eggs.gnu.org: Windows 7 or 8 [fuzzy]
X-Received-From: 40.92.10.90
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 27 Dec 2019 18:18:29 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

As title states.=0A=
=0A=
openSUSE Tumbleweed 20191216 (x86_64)=0A=
gzip 1.10=0A=
=0A=
(Number delimiters manually added for clarity below.)=0A=
=0A=
# zcat backup.bin.gz | wc -c=0A=
67,645,849,600=0A=
# gzip -l backup.bin.gz=0A=
compressed        uncompressed  ratio uncompressed_name=0A=
9,458,450,396    3,221,340,160 -193.6% backup.bin=0A=
#=0A=
=0A=
67,645,849,600 =3D> 0xf_c001_c000 =3D> truncate =3D> 0xc001_c000 =3D> 3,221=
,340,160=0A=
=0A=
Thanks!=0A=
Jason Mancini=0A=




Acknowledgement sent to Jason Mancini <jayrusman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gzip@HIDDEN. Full text available.
Report forwarded to bug-gzip@HIDDEN:
bug#38766; Package gzip. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 1 Dec 2021 23:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.